We use ads to continue serving you mods and further develop the site. Whitelisting us in your ad blocker can help us a lot ❤ If you dislike ads, consider supporting us.
Underbarrel Grenade Launcher Crash
#1
The underbarrel grenade launcher that i added to the lion's roar and the standalone mod weapons remington acr, m4 sopmod and m41 pulse rifle can't use the regular grenade launcher or it crashes.
But, if i use one of the custom ammo types from the "more 40mm grenades" mod or the "40mm buckshot" mod it doesn't crash. Given the M41 pulse rifle doesn't allow to use this custom ammo, i just can't use That rifle's gl at all.

This is the relevant portion of the crash.txt i get each time i try to fire a default underbarrel gl from a modded weapon: 

Application has crashed: C++ exception
[string "lib/units/weapons/projectiles/projectilebase.lua"]:454: attempt to index local 'tweak_entry' (a nil value)



SCRIPT STACK

_fire_raycast() lib/units/weapons/weaponunderbarrellauncher.lua:59
fire() lib/units/weapons/raycastweaponbase.lua:516
fire() @mods/BeardLib/Hooks/Fixes.lua:420
fire_original() @mods/WeaponLib/hooks/lib/units/weapons/newraycastweaponbase.lua:1350
fire() @mods/VanillaHUD Plus/lua/BurstFire.lua:64
trigger_pressed() lib/units/weapons/raycastweaponbase.lua:415
original() lib/units/beings/player/states/playerstandard.lua:4928
_check_action_primary_attack() @mods/base/req/core/Hooks.lua:288
_update_check_actions() lib/units/beings/player/states/playerstandard.lua:962
original() lib/units/beings/player/states/playerstandard.lua:441
update_original() @mods/base/req/core/Hooks.lua:288
update_original() @mods/VanillaHUD Plus/lua/BurstFire.lua:274
update() @mods/VanillaHUD Plus/lua/VanillaHUD.lua:981
original() lib/units/beings/player/playermovement.lua:279
@mods/base/req/core/Hooks.lua:288


i'd really appreciate help w this, thanks.
Reply


Forum Jump:


Users browsing this thread: 1 Guest(s)